Bug 194579 - Outdated version of gnome_menus_version in buildreq
Outdated version of gnome_menus_version in buildreq
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eel2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 03:47 EDT by Leonid Kanter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 14:14:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2006-06-14 03:47:24 EDT
Description of problem:

spec file has line 
%define gnome_menus_version 2.10.0
it should be 2.14.0

Version-Release number of selected component (if applicable):

eel2-2.14.1-1

How reproducible:

always

Steps to Reproduce:
1. try to rebuild eel2 with gnome-menus 2.12.0 installed
  
Actual results:

eel-open-with-dialog.c: In function 'get_all_applications':
eel-open-with-dialog.c:555: error: 'GMENU_TREE_FLAGS_INCLUDE_NODISPLAY'
undeclared (first use in this function)

GMENU_TREE_FLAGS_INCLUDE_NODISPLAY was introduced in gnome-2.13.x


Expected results:

rpmbuild must exit with error
Comment 1 Matthias Clasen 2006-08-03 14:14:20 EDT
fixed in 2.15.90-1.fc6

Note You need to log in before you can comment on or make changes to this bug.